Enhavo
Indekso 🔎︎

# Mid Function, Mid Statement

Liveras la specifitan parton de ĉena esprimo (funkcio Mid), aŭ anstataŭigas la parton de ĉena esprimo per alia ĉeno (ordono Mid).

### Syntax:

    Mid (Text As String, Start As Long [, Length As Long]) aŭ Mid (Text As String, Start As Long , Length As Long, Text As String)

### Return value:

String (only by Function)

### Parameters:

Text: Ĉena esprimo modifota.

Start: Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

Length: Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 2,147,483,648.

Se la parametro Length en la funkcio Mid ellasiĝas, ĉiuj signoj en la ĉeno ek de la komenca pozicio ĝis la fino de la ĉeno estos liverotaj.

Se la parametro Length en la ordono Mid estas malpli ol la longo de la teksto anstataŭota, la teksto reduktiĝos ĝis la longo specifita.

Text: La ĉeno kiu anstataŭos la ĉenan esprimon (ordono Mid).

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")sInput = InputBox("Bonvolu tajpi daton laŭ la internacia formato 'YYYY-MM-TT'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Rilataj temoj

String functions